package cn.pluss.platform.yinsheng;

import cn.pluss.platform.entity.MerchantImage;
import lombok.Data;

/**
 * 图片类别
 * @author djh
 */
@Data
public class ImageType {

    /** 身份证正面 */
    public static final String IDCARD_FRONT = "A002";
    /** 身份证反面 */
    public static final String IDCARD_BACK= "A003";
    /** 营业执照 */
    public static final String BUSINESS_LICENSE = "A001";
    /** 开户许可证 */
    public static final String ACCOUNT_PERMITS = "A011";
    /** 门头照 */
    public static final String SHOP_FRONT_DOOR = "A006";
    /** 非法人结算授权书 */
    public static final String NON_LEG_SETTLE_AUTH = "B005";
    /** 收银台照片 */
    public static final String CASH_DESK_PHOTO = "A008";
    /** 门店内景照片*/
    public static final String STORE_INTERIOR_PHOTO = "A007";
    /** 手持身份证 */
    public static final String HAND_IDCARD_PHOTO = "A009";
    /** 银行卡正面 */
    public static final String BANK_CARD_FRONT = "A004";
    /** 银行卡反面 */
    public static final String BANK_CARD_BACK = "A005";
    /** 商户协议 */
    public static final String MERCHANT_PROTOCOL = "A010";

    public static String getType(String localType) {
        switch (localType) {
            case MerchantImage
                    .ImageType.IDCARD_FRONT:
                return IDCARD_FRONT;
            case MerchantImage
                    .ImageType.IDCARD_BACK:
                return IDCARD_BACK;
            case MerchantImage
                    .ImageType.BUSINESS_LICENSE:
                return BUSINESS_LICENSE;
            case MerchantImage
                    .ImageType.ACCOUNT_PERMITS:
                return ACCOUNT_PERMITS;
            case MerchantImage
                    .ImageType.SHOP_FRONT_DOOR:
                return SHOP_FRONT_DOOR;
            case MerchantImage
                    .ImageType.NON_LEG_SETTLE_AUTH:
                return NON_LEG_SETTLE_AUTH;
            case MerchantImage
                    .ImageType.CASH_DESK_PHOTO:
                return CASH_DESK_PHOTO;
            case MerchantImage
                    .ImageType.STORE_INTERIOR_PHOTO:
                return STORE_INTERIOR_PHOTO;
            case MerchantImage
                    .ImageType.HAND_IDCARD_PHOTO:
                return HAND_IDCARD_PHOTO;
            case MerchantImage
                    .ImageType.BANK_CARD_FRONT:
                return BANK_CARD_FRONT;
            case MerchantImage
                    .ImageType.BANK_CARD_BACK:
                return BANK_CARD_BACK;
            case MerchantImage
                    .ImageType.MERCHANT_PROTOCOL:
                return MERCHANT_PROTOCOL;
            default:
                return null;
        }
    }
}
